import os
import tempfile
import shutil
import pytest

USERS_DIR = os.path.join(
        os.path.dirname(__file__),
        "example-users",
        )

FRED_OUTBOX = 'https://local.example.org/users/fred/outbox'

@pytest.fixture()
def users_dir():
    dirname = tempfile.mkdtemp(prefix='kepi-test-')

    shutil.copytree(
            src = USERS_DIR,
            dst = dirname,
            dirs_exist_ok = True,
            )

    yield dirname

    shutil.rmtree(
            dirname,
            )
