import os
import sys
import argparse
import tempfile
from kepi.config import config, subcommand

@subcommand
def subcommands_for_testing(subparsers):
    parser = subparsers.add_parser('wombat')

    parser.add_argument(
            'spong',
            help=(
                'the spong to wombat'
            ),
            )

    parser.add_argument(
            '--fruit',
            default='orange',
            help=(
                'the fruit you like'
            ),
            )

def test_config_add_subcommands():

    old_argv = sys.argv
    sys.argv = ['kepi', 'wombat', 'foo']

    parser = argparse.ArgumentParser()
    config.parse_args(parser)

    assert config.command=='wombat'
    assert config.spong=='foo'
    assert config.fruit=='orange'

    sys.argv = old_argv

def test_config_optional():

    old_argv = sys.argv
    sys.argv = ['kepi', 'wombat', 'foo', '--fruit', 'grapes']

    parser = argparse.ArgumentParser()
    config.parse_args(parser)

    assert config.command=='wombat'
    assert config.spong=='foo'
    assert config.fruit=='grapes'

    sys.argv = old_argv
