import os
import pytest
from test import *
from kepi.users import Users

def test_users_simple(users_dir):
    u = Users(users_dir = users_dir)

    fred = u['fred']
    assert fred['summary']=='I am not a basset hound.'

def test_users_writable(users_dir):

    WOOF = 'Actually, I AM a basset hound. Woof.'

    u = Users(users_dir = users_dir)
    fred = u['fred']
    assert fred['summary']=='I am not a basset hound.'
    fred['summary'] = WOOF
    assert fred['summary']==WOOF, 'values are writable'
    fred.save()

    u2 = Users(users_dir = users_dir)
    fred2 = u2['fred']
    assert fred2['summary']==WOOF, 'written values persist'

    with pytest.raises(KeyError):
        fred2['privateKey'] = WOOF

def test_users_dir(users_dir):
    u = Users(users_dir = users_dir)

    assert sorted([user.name for user in u])==['fred', 'jim', 'sheila']

def test_users_dict(users_dir):
    u = Users(users_dir = users_dir)
    fred = u['fred']

    assert fred['outbox'] == FRED_OUTBOX

    fred_dict = fred.as_dict()
    assert not isinstance(fred, dict)
    assert isinstance(fred_dict, dict)

    assert fred_dict['outbox'] == FRED_OUTBOX
